botkin inet-gate sudo apt-get install courier-authlib-mysq Reading Pac

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
[botkin@inet-gate ~]$ sudo apt-get install courier-authlib-mysql
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
courier-authlib dev expect libcourier-authlib libtcl tcl
The following NEW packages will be installed:
courier-authlib courier-authlib-mysql dev expect libcourier-authlib libtcl tcl
0 upgraded, 7 newly installed, 0 removed and 0 not upgraded.
Need to get 2975kB of archives.
After unpacking 4414kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 ftp://ftp.altlinux.org i586/classic libtcl 8.4.17-alt0.M40.1 [346kB]
Get:2 ftp://ftp.altlinux.org i586/classic tcl 8.4.17-alt0.M40.1 [1166kB]
Get:3 ftp://ftp.altlinux.org i586/main dev 3.3.1-alt18 [1134kB]
Get:4 ftp://ftp.altlinux.org i586/main expect 1:5.43-alt3 [156kB]
Get:5 ftp://ftp.altlinux.org i586/main libcourier-authlib 0.59.1-alt1.0 [57.1kB]
Get:6 ftp://ftp.altlinux.org i586/main courier-authlib 0.59.1-alt1.0 [98.9kB]
Get:7 ftp://ftp.altlinux.org i586/classic courier-authlib-mysql 0.59.1-alt1.0 [16.8kB]
Fetched 2975kB in 13s (216kB/s)
Committing changes...
Preparing... ########################################################################## [100%]
1: libcourier-authlib ########################################################################## [ 14%]
2: libtcl ########################################################################## [ 28%]
3: tcl ########################################################################## [ 42%]
** Cannot install dev package: mounted udev detected.
** This is no problem, but to avoid side-effects with
** stopping and starting it automatically, please do:
service udevd umount
apt-get install dev
service udevd start
** Note that some services like syslogd might need
** restart after this, too.
error: execution of %pre scriptlet from dev-3.3.1-alt18 failed, exit status 1
error: install: %pre scriptlet failed (2), skipping dev-3.3.1-alt18
4: expect ########################################################################## [ 57%]
5: courier-authlib ########################################################################## [ 71%]
By default this package only have a PAM backend support.
For additional backends install appropriate package:
Berkeley DB -- courier-authlib-userdb
LDAP -- courier-authlib-ldap
PostgreSQL -- courier-authlib-pgsql
MySQL -- courier-authlib-mysql
6: courier-authlib-mysql ########################################################################## [ 85%]
E: Some errors occurred while running transaction
[botkin@inet-gate ~]$ sudo apt-get install courier-authlib-mysql
Reading Package Lists... Done
Building Dependency Tree... Done
courier-authlib-mysql is already the newest version.
You might want to run `apt-get --fix-broken install' to correct these:
The following packages have unmet dependencies:
expect: Depends: /dev/pts
E: Unmet dependencies. Try 'apt-get --fix-broken install' with no packages (or specify a solution).
[botkin@inet-gate ~]$ sudo udevd umouny
another udev daemon already running
[botkin@inet-gate ~]$ sudo udevd umount
another udev daemon already running
[botkin@inet-gate ~]$ sudo apt-get --fix-broken install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
dev
The following NEW packages will be installed:
dev
0 upgraded, 1 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/1134kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n]
Committing changes...
Preparing... ########################################################################## [100%]
** Cannot install dev package: mounted udev detected.
** This is no problem, but to avoid side-effects with
** stopping and starting it automatically, please do:
service udevd umount
apt-get install dev
service udevd start
** Note that some services like syslogd might need
** restart after this, too.
error: execution of %pre scriptlet from dev-3.3.1-alt18 failed, exit status 1
error: install: %pre scriptlet failed (2), skipping dev-3.3.1-alt18
E: Some errors occurred while running transaction
[botkin@inet-gate ~]$ sudo udevd umount
another udev daemon already running